GyotoAstrobj.h File Reference

Astronomical objects (light emitters). More...

`#include "GyotoConfig.h"`
`#include <iostream>`
`#include <fstream>`
`#include <iomanip>`
`#include <string>`
`#include <GyotoDefs.h>`
`#include <GyotoSmartPointer.h>`
`#include <GyotoConverters.h>`
`#include <GyotoObject.h>`
`#include <eigen3/Eigen/Dense>`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::Generic
| Base class for astronomical object. More...
class | Gyoto::Astrobj::Properties
| Observable properties of an Astronomical object. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Register
| Gyoto registers.
namespace | Gyoto::Metric
| Access to metrics.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Typedefs

typedef SmartPointer< Gyoto::Astrobj::Generic > | Gyoto::Astrobj::Subcontractor_t(Gyoto::FactoryMessenger *, std::vector< std::string > const &)
| A function to build instances of a specific Astrobj::Generic sub-class.

## Functions

template<typename T>
SmartPointer< Astrobj::Generic > | Gyoto::Astrobj::Subcontractor (FactoryMessenger *fmp, std::vector< std::string > const &plugin)
| A template for Subcontractor_t functions.
Gyoto::Astrobj::Subcontractor_t * | Gyoto::Astrobj::getSubcontractor (std::string name, std::vector< std::string > &plugin, int errmode=0)
| Query the Astrobj register.
void | Gyoto::Astrobj::initRegister ()
| Empty the Astrobj register.
void | Gyoto::Astrobj::Register (std::string name, Gyoto::Astrobj::Subcontractor_t *scp)
| Make an Astrobj kind known to the Factory.

## Variables

Gyoto::Register::Entry * | Gyoto::Astrobj::Register_
| The Astrobj register.

## Detailed Description

Astronomical objects (light emitters).

The target of ray-traced Gyoto::Photon